LifecycleListenerRule (Catalina Internal API Documentation)
Keywords: org.apache.catalina.startup.LifecycleListenerRule class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.startup
Class LifecycleListenerRule

    java.lang.Object
      org.apache.commons.digester.Rule
          org.apache.catalina.startup.LifecycleListenerRule

public class LifecycleListenerRule
extends org.apache.commons.digester.Rule

Rule that creates a new `LifecycleListener` instance, and associates it with the top object on the stack (which must implement `LifecycleListener`).

Field Summary

Fields inherited from class org.apache.commons.digester.Rule
`digester, namespaceURI`

Constructor Summary
`LifecycleListenerRule(org.apache.commons.digester.Digester digester, java.lang.String listenerClass, java.lang.String attributeName)` Construct a new instance of this Rule.

Method Summary
`void` | `begin(org.xml.sax.Attributes attributes)` Handle the beginning of an XML element.

Methods inherited from class org.apache.commons.digester.Rule
`begin, body, body, end, end, finish, getDigester, getNamespaceURI, setDigester, setNamespaceURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LifecycleListenerRule

    public LifecycleListenerRule(org.apache.commons.digester.Digester digester,
                                 java.lang.String listenerClass,
                                 java.lang.String attributeName)

  Construct a new instance of this Rule.

Parameters:
  `digester` - Digester we are associated with
  `listenerClass` - Default name of the LifecycleListener implementation class to be created
  `attributeName` - Name of the attribute that optionally includes an override name of the LifecycleListener class

Method Detail

### begin

    public void begin(org.xml.sax.Attributes attributes)
               throws java.lang.Exception

  Handle the beginning of an XML element.

  Parameters:
    `attributes` - The attributes of this element
  Throws:
    `java.lang.Exception` - if a processing error occurs

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2002 Apache Software Foundation. All Rights Reserved.